package com.youvoiceit.shared.model;

/** Action categories allow actions to be categorized  */
public enum ActionCategory {
	spending, health, guns, speech, education, military, invasiveness, drugs;
	
	/**
	 * Get the display string for the JurisdictionType
	 * @return the display string
	 */
	public String getDisplayStr() {
		String displayStr = null;
		ActionCategoryMessages msgs = ActionCategoryMessages.INSTANCE; 
		
		switch (this) {
			case spending :
				displayStr = msgs.spending();
				break;
			case health :
				displayStr = msgs.health();
				break;
			case guns :
				displayStr = msgs.guns();
				break;
			case speech :
				displayStr = msgs.speech();
				break;
			case education :
				displayStr = msgs.eduction();
				break;
			case military :
				displayStr = msgs.military();
				break;
			case invasiveness :
				displayStr = msgs.invasiveness();
				break;
			case drugs :
				displayStr = msgs.drugs();
				break;
		}
		
		return displayStr;
	}
}