package com.toolcafe.gwt.shared.model;

/**
 * United States state
 * @author rick
 *
 */
public enum USState {
	AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, GU, HI, ID, IL, IN, IA, KS, KY, LA, ME, 
	MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, PR, RI, SC, 
	SD, TN, TX, UT, VT, VA, WA, WV, WI, WY;
	
	/**
	 * Get the display string for the ProductType
	 * @return the display string
	 */
	public String getDisplayStr() {
		String displayStr = null;
		USStateMessages msgs = USStateMessages.INSTANCE;
		
		switch (this) {
			case AL :
				displayStr = msgs.AL();
				break;
	 		case AK :
				displayStr = msgs.AK();
				break;
	 		case AZ :
				displayStr = msgs.AZ();
				break;
	 		case AR :
				displayStr = msgs.AR();
				break;
	 		case CA :
				displayStr = msgs.CA();
				break;
	 		case CO :
				displayStr = msgs.CO();
				break;
	 		case CT :
				displayStr = msgs.CT();
				break;
	 		case DE :
				displayStr = msgs.DE();
				break;
	 		case DC :
				displayStr = msgs.DC();
				break;
	 		case FL :
				displayStr = msgs.FL();
				break;
	 		case GA :
				displayStr = msgs.GA();
				break;
	 		case GU :
				displayStr = msgs.GU();
				break;
	 		case HI :
				displayStr = msgs.HI();
				break;
	 		case ID :
				displayStr = msgs.ID();
				break;
	 		case IL :
				displayStr = msgs.IL();
				break;
	 		case IN :
				displayStr = msgs.IN();
				break;
	 		case IA :
				displayStr = msgs.IA();
				break;
	 		case KS :
				displayStr = msgs.KS();
				break;
	 		case KY :
				displayStr = msgs.KY();
				break;
	 		case LA :
				displayStr = msgs.LA();
				break;
	 		case ME :
				displayStr = msgs.ME();
				break;
	 		case MD :
				displayStr = msgs.MD();
				break;
	 		case MA :
				displayStr = msgs.MA();
				break;
	 		case MI :
				displayStr = msgs.MI();
				break;
	 		case MN :
				displayStr = msgs.MN();
				break;
	 		case MS :
				displayStr = msgs.MS();
				break;
	 		case MO :
				displayStr = msgs.MO();
				break;
	 		case MT :
				displayStr = msgs.MT();
				break;
	 		case NE :
				displayStr = msgs.NE();
				break;
	 		case NV :
				displayStr = msgs.NV();
				break;
	 		case NH :
				displayStr = msgs.NH();
				break;
	 		case NJ :
				displayStr = msgs.NJ();
				break;
	 		case NM :
				displayStr = msgs.NM();
				break;
	 		case NY :
				displayStr = msgs.NY();
				break;
	 		case NC :
				displayStr = msgs.NC();
				break;
	 		case ND :
				displayStr = msgs.ND();
				break;
	 		case OH :
				displayStr = msgs.OH();
				break;
	 		case OK :
				displayStr = msgs.OK();
				break;
	 		case OR :
				displayStr = msgs.OR();
				break;
	 		case PA :
				displayStr = msgs.PA();
				break;
	 		case PR :
				displayStr = msgs.PR();
				break;
	 		case RI :
				displayStr = msgs.RI();
				break;
	 		case SC :
				displayStr = msgs.SC();
				break;
	 		case SD :
				displayStr = msgs.SD();
				break;
	 		case TN :
				displayStr = msgs.TN();
				break;
	 		case TX :
				displayStr = msgs.TX();
				break;
	 		case UT :
				displayStr = msgs.UT();
				break;
	 		case VT :
				displayStr = msgs.VT();
				break;
	 		case VA :
				displayStr = msgs.VA();
				break;
	 		case WA :
				displayStr = msgs.WA();
				break;
	 		case WV :
				displayStr = msgs.WV();
				break;
	 		case WI :
				displayStr = msgs.WI();
				break;
	 		case WY :
				displayStr = msgs.WY();
				break;
		}
		
		return displayStr;
	}
}
